<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/tcontainer.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">tcontainer.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QWidget&gt;</code><br />
<code>#include &lt;QMouseEvent&gt;</code><br />
<code>#include &lt;QtGui&gt;</code><br />
<code>#include &lt;QVBoxLayout&gt;</code><br />
<code>#include &lt;QMenu&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for tcontainer.h:</div>
<div class="dyncontent">
<div class="center"><img src="tcontainer_8h__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2tcontainer_8h" alt=""/></div>
<map name="aalat_za_analitiku_2src_2tcontainer_8h" id="aalat_za_analitiku_2src_2tcontainer_8h">
<area shape="rect" title=" " alt="" coords="192,5,320,48"/>
<area shape="rect" title=" " alt="" coords="5,96,78,123"/>
<area shape="poly" title=" " alt="" coords="202,51,90,93,89,88,200,46"/>
<area shape="rect" title=" " alt="" coords="102,96,205,123"/>
<area shape="poly" title=" " alt="" coords="231,51,183,88,180,84,228,46"/>
<area shape="rect" title=" " alt="" coords="229,96,284,123"/>
<area shape="poly" title=" " alt="" coords="259,49,259,80,254,80,254,49"/>
<area shape="rect" title=" " alt="" coords="308,96,410,123"/>
<area shape="poly" title=" " alt="" coords="284,46,333,84,329,88,281,51"/>
<area shape="rect" title=" " alt="" coords="434,96,497,123"/>
<area shape="poly" title=" " alt="" coords="311,46,420,88,418,93,309,51"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="tcontainer_8h__dep__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2tcontainer_8hdep" alt=""/></div>
<map name="aalat_za_analitiku_2src_2tcontainer_8hdep" id="aalat_za_analitiku_2src_2tcontainer_8hdep">
<area shape="rect" title=" " alt="" coords="463,5,591,48"/>
<area shape="rect" href="dynamicui_8cpp.html" title=" " alt="" coords="5,187,134,229"/>
<area shape="poly" title=" " alt="" coords="448,55,321,98,208,145,114,189,111,184,206,141,319,94,447,50"/>
<area shape="rect" href="dynamicui_8h.html" title=" " alt="" coords="332,96,460,139"/>
<area shape="poly" title=" " alt="" coords="486,59,428,98,425,93,483,55"/>
<area shape="rect" href="plotwindow_8cpp.html" title=" " alt="" coords="477,187,606,229"/>
<area shape="poly" title=" " alt="" coords="532,63,542,186,537,187,527,64"/>
<area shape="rect" href="statwindow_8cpp.html" title=" " alt="" coords="629,187,758,229"/>
<area shape="poly" title=" " alt="" coords="548,60,573,98,605,137,633,162,662,184,659,188,630,167,601,141,569,101,543,63"/>
<area shape="rect" href="tcontainer_8cpp.html" title=" " alt="" coords="615,96,743,139"/>
<area shape="poly" title=" " alt="" coords="577,54,645,93,642,98,574,59"/>
<area shape="poly" title=" " alt="" coords="318,143,135,192,133,187,316,137"/>
<area shape="rect" href="fileimportwindow_8cpp.html" title=" " alt="" coords="309,187,454,229"/>
<area shape="poly" title=" " alt="" coords="393,154,388,187,382,186,388,153"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="157,187,286,229"/>
<area shape="poly" title=" " alt="" coords="343,148,263,189,261,184,341,144"/>
<area shape="poly" title=" " alt="" coords="444,145,509,184,506,188,441,149"/>
<area shape="poly" title=" " alt="" coords="476,139,630,185,628,190,474,145"/>
</map>
</div>
</div>
<p><a href="tcontainer_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_t_container.html">TContainer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a811fe196a5d9d37857c2f8adeeaac3c6" id="r_a811fe196a5d9d37857c2f8adeeaac3c6"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6">modes</a> { <br />
&#160;&#160;<a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6ac157bdf0b85a40d2619cbc8bc1ae5fe2">NONE</a> = 0
, <a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6aed3ef32890b6da0919b57254c5206c62">MOVE</a> = 1
, <a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6a169f665817b48771b35ae0c33b2bf267">RESIZETL</a> = 2
, <a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6a7e23a1c0a06a6795a02630982c7461eb">RESIZET</a> = 3
, <br />
&#160;&#160;<a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6a6ccc4d1b21eea816d64b3e76b3c0db88">RESIZETR</a> = 4
, <a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6a1f99fda05cdf37f1410d5e865c268911">RESIZER</a> = 5
, <a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6a9fc090dbc09a4e99cfd5a22fb4d57cb6">RESIZEBR</a> = 6
, <a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6a88d93ed41b6479aaa2a95feb4fc99166">RESIZEB</a> = 7
, <br />
&#160;&#160;<a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6a6173c687438d0e7db6d77adc581e7839">RESIZEBL</a> = 8
, <a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6a5ce7e2819ac1576281f72d95150395da">RESIZEL</a> = 9
<br />
 }</td></tr>
<tr class="separator:a811fe196a5d9d37857c2f8adeeaac3c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a811fe196a5d9d37857c2f8adeeaac3c6" name="a811fe196a5d9d37857c2f8adeeaac3c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a811fe196a5d9d37857c2f8adeeaac3c6">&#9670;&#160;</a></span>modes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="#a811fe196a5d9d37857c2f8adeeaac3c6">modes</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6ac157bdf0b85a40d2619cbc8bc1ae5fe2" name="a811fe196a5d9d37857c2f8adeeaac3c6ac157bdf0b85a40d2619cbc8bc1ae5fe2"></a>NONE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6aed3ef32890b6da0919b57254c5206c62" name="a811fe196a5d9d37857c2f8adeeaac3c6aed3ef32890b6da0919b57254c5206c62"></a>MOVE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6a169f665817b48771b35ae0c33b2bf267" name="a811fe196a5d9d37857c2f8adeeaac3c6a169f665817b48771b35ae0c33b2bf267"></a>RESIZETL&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6a7e23a1c0a06a6795a02630982c7461eb" name="a811fe196a5d9d37857c2f8adeeaac3c6a7e23a1c0a06a6795a02630982c7461eb"></a>RESIZET&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6a6ccc4d1b21eea816d64b3e76b3c0db88" name="a811fe196a5d9d37857c2f8adeeaac3c6a6ccc4d1b21eea816d64b3e76b3c0db88"></a>RESIZETR&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6a1f99fda05cdf37f1410d5e865c268911" name="a811fe196a5d9d37857c2f8adeeaac3c6a1f99fda05cdf37f1410d5e865c268911"></a>RESIZER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6a9fc090dbc09a4e99cfd5a22fb4d57cb6" name="a811fe196a5d9d37857c2f8adeeaac3c6a9fc090dbc09a4e99cfd5a22fb4d57cb6"></a>RESIZEBR&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6a88d93ed41b6479aaa2a95feb4fc99166" name="a811fe196a5d9d37857c2f8adeeaac3c6a88d93ed41b6479aaa2a95feb4fc99166"></a>RESIZEB&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6a6173c687438d0e7db6d77adc581e7839" name="a811fe196a5d9d37857c2f8adeeaac3c6a6173c687438d0e7db6d77adc581e7839"></a>RESIZEBL&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a811fe196a5d9d37857c2f8adeeaac3c6a5ce7e2819ac1576281f72d95150395da" name="a811fe196a5d9d37857c2f8adeeaac3c6a5ce7e2819ac1576281f72d95150395da"></a>RESIZEL&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
